QGIS Application - Bug report #866
Buidling DBMS support for Grass and GDAL
2007-12-13 09:29 AM - leo-lami -

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupts data: Copied to github as #: 10925
Description

The dbf driver doesn't work if | work with GRASS vector.
This a collect of mail on the arguments:

| can confirm the dbf problem in QGIS/GRASS. | am running QGIS 0.9.0
26.10.2007 build. My OS is Vista but | don't think it matters. | am also
running WINGRASS 6.3RC3 and | got the same problem so something is broken in
winGRASS now. See the error messages for more info. The messages are from
the CLI from within QGIS
$ db.connect -p
driver:dbf
database:$GISDBASE/$LOCATION_NAME/$MAPSET/dbf/
schema:
group:
The connection set up looks fine to me, but if you try getting info in a
specific layer:
$ v.db.connect map=dist2_net3 -c
Invalid argument: can't _spawnl
GRASS_INFO_ERROR(260,1): Unable to start driver &lt;dbf&gt;
GRASS_INFO_END(260,1)

If I try db.describe from winGRASS | get this:{database=$GISDBASE/$LOCATION_NAME/$MAPSET/dbf/}
invalid argument: can't _spawnl
Unable to start driver &lt;dbf&gt;

Benjamin wrote:

There are many little annoyances with the GDAL linking.
But they can all be rectified (at least | managed for
version 1.4.4, don't know about 1.5 yet).

[ think | left out that final bit in my last email.

Here itis.

For 1.5, you will probably need to update the last bit
somewhat, since | think all user tools are now in the

"apps" subfolder.

Let me know how it's working for you.
History

#1 - 2007-12-13 09:37 AM - leo-lami -
- Resolution set to duplicate
- Status changed from Open to Closed

#2 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted
